Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class PICFAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.PICFAbstractType

Direct Known Subclasses:
  PICF

    public abstract class PICFAbstractType

extends java.lang.Object

The PICF structure specifies the type of a picture, as well as the size of the picture and information about its border.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Method Summary
`byte` | `getBpp()` Get the bpp field for the PICF record.
`byte[]` | `getBrcBottom80()` Get the brcBottom80 field for the PICF record.
`byte[]` | `getBrcLeft80()` Get the brcLeft80 field for the PICF record.
`byte[]` | `getBrcRight80()` Get the brcRight80 field for the PICF record.
`byte[]` | `getBrcTop80()` Get the brcTop80 field for the PICF record.
`int` | `getCbHeader()` An unsigned integer that specifies the size, in bytes, of this PICF structure.
`short` | `getCProps()` This value MUST be 0 and MUST be ignored.
`short` | `getDxaGoal()` Get the dxaGoal field for the PICF record.
`short` | `getDxaReserved1()` Get the dxaReserved1 field for the PICF record.
`short` | `getDxaReserved2()` Get the dxaReserved2 field for the PICF record.
`short` | `getDxaReserved3()` Get the dxaReserved3 field for the PICF record.
`short` | `getDyaGoal()` Get the dyaGoal field for the PICF record.
`short` | `getDyaReserved1()` Get the dyaReserved1 field for the PICF record.
`short` | `getDyaReserved2()` Get the dyaReserved2 field for the PICF record.
`short` | `getDyaReserved3()` Get the dyaReserved3 field for the PICF record.
`byte` | `getFReserved()` Get the fReserved field for the PICF record.
`int` | `getGrf()` This field MUST be ignored.
`int` | `getLcb()` A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.
`short` | `getMm()` A signed integer that specifies the format of the picture data.
`int` | `getMmPM()` This field MUST be ignored.
`int` | `getMx()` Get the mx field for the PICF record.
`int` | `getMy()` Get the my field for the PICF record.
`int` | `getPadding()` This value MUST be zero and MUST be ignored.
`int` | `getPadding2()` This value MUST be zero and MUST be ignored.
`static int` | `getSize()` Size of record
`short` | `getSwHMF()` This field is unused and MUST be ignored.
`short` | `getXExt()` This field is unused and MUST be ignored.
`short` | `getYExt()` This field is unused and MUST be ignored.
`byte[]` | `serialize()`
`void` | `serialize(byte[] data, int offset)`
`void` | `setBpp(byte field_20_bpp)` Set the bpp field for the PICF record.
`void` | `setBrcBottom80(byte[] field_23_brcBottom80)` Set the brcBottom80 field for the PICF record.
`void` | `setBrcLeft80(byte[] field_22_brcLeft80)` Set the brcLeft80 field for the PICF record.
`void` | `setBrcRight80(byte[] field_24_brcRight80)` Set the brcRight80 field for the PICF record.
`void` | `setBrcTop80(byte[] field_21_brcTop80)` Set the brcTop80 field for the PICF record.
`void` | `setCbHeader(int field_2_cbHeader)` An unsigned integer that specifies the size, in bytes, of this PICF structure.
`void` | `setCProps(short field_27_cProps)` This value MUST be 0 and MUST be ignored.
`void` | `setDxaGoal(short field_11_dxaGoal)` Set the dxaGoal field for the PICF record.
`void` | `setDxaReserved1(short field_15_dxaReserved1)` Set the dxaReserved1 field for the PICF record.
`void` | `setDxaReserved2(short field_17_dxaReserved2)` Set the dxaReserved2 field for the PICF record.
`void` | `setDxaReserved3(short field_25_dxaReserved3)` Set the dxaReserved3 field for the PICF record.
`void` | `setDyaGoal(short field_12_dyaGoal)` Set the dyaGoal field for the PICF record.
`void` | `setDyaReserved1(short field_16_dyaReserved1)` Set the dyaReserved1 field for the PICF record.
`void` | `setDyaReserved2(short field_18_dyaReserved2)` Set the dyaReserved2 field for the PICF record.
`void` | `setDyaReserved3(short field_26_dyaReserved3)` Set the dyaReserved3 field for the PICF record.
`void` | `setFReserved(byte field_19_fReserved)` Set the fReserved field for the PICF record.
`void` | `setGrf(int field_7_grf)` This field MUST be ignored.
`void` | `setLcb(int field_1_lcb)` A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.
`void` | `setMm(short field_3_mm)` A signed integer that specifies the format of the picture data.
`void` | `setMmPM(int field_9_mmPM)` This field MUST be ignored.
`void` | `setMx(int field_13_mx)` Set the mx field for the PICF record.
`void` | `setMy(int field_14_my)` Set the my field for the PICF record.
`void` | `setPadding(int field_8_padding)` This value MUST be zero and MUST be ignored.
`void` | `setPadding2(int field_10_padding2)` This value MUST be zero and MUST be ignored.
`void` | `setSwHMF(short field_6_swHMF)` This field is unused and MUST be ignored.
`void` | `setXExt(short field_4_xExt)` This field is unused and MUST be ignored.
`void` | `setYExt(short field_5_yExt)` This field is unused and MUST be ignored.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLcb

    public int getLcb()

  A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.

### setLcb

    public void setLcb(int field_1_lcb)

  A signed integer that specifies the size, in bytes, of this PICF structure and the subsequent data.

### getCbHeader

    public int getCbHeader()

  An unsigned integer that specifies the size, in bytes, of this PICF structure. This value MUST be 0x44.

### setCbHeader

    public void setCbHeader(int field_2_cbHeader)

  An unsigned integer that specifies the size, in bytes, of this PICF structure. This value MUST be 0x44.

### getMm

    public short getMm()

  A signed integer that specifies the format of the picture data.

### setMm

    public void setMm(short field_3_mm)

  A signed integer that specifies the format of the picture data.

### getXExt

    public short getXExt()

  This field is unused and MUST be ignored.

### setXExt

    public void setXExt(short field_4_xExt)

  This field is unused and MUST be ignored.

### getYExt

    public short getYExt()

  This field is unused and MUST be ignored.

### setYExt

    public void setYExt(short field_5_yExt)

  This field is unused and MUST be ignored.

### getSwHMF

    public short getSwHMF()

  This field is unused and MUST be ignored.

### setSwHMF

    public void setSwHMF(short field_6_swHMF)

  This field is unused and MUST be ignored.

### getGrf

    public int getGrf()

  This field MUST be ignored.

### setGrf

    public void setGrf(int field_7_grf)

  This field MUST be ignored.

### getPadding

    public int getPadding()

  This value MUST be zero and MUST be ignored.

### setPadding

    public void setPadding(int field_8_padding)

  This value MUST be zero and MUST be ignored.

### getMmPM

    public int getMmPM()

  This field MUST be ignored.

### setMmPM

    public void setMmPM(int field_9_mmPM)

  This field MUST be ignored.

### getPadding2

    public int getPadding2()

  This value MUST be zero and MUST be ignored.

### setPadding2

    public void setPadding2(int field_10_padding2)

  This value MUST be zero and MUST be ignored.

### getDxaGoal

    public short getDxaGoal()

  Get the dxaGoal field for the PICF record.

### setDxaGoal

    public void setDxaGoal(short field_11_dxaGoal)

  Set the dxaGoal field for the PICF record.

### getDyaGoal

    public short getDyaGoal()

  Get the dyaGoal field for the PICF record.

### setDyaGoal

    public void setDyaGoal(short field_12_dyaGoal)

  Set the dyaGoal field for the PICF record.

### getMx

    public int getMx()

  Get the mx field for the PICF record.

### setMx

    public void setMx(int field_13_mx)

  Set the mx field for the PICF record.

### getMy

    public int getMy()

  Get the my field for the PICF record.

### setMy

    public void setMy(int field_14_my)

  Set the my field for the PICF record.

### getDxaReserved1

    public short getDxaReserved1()

  Get the dxaReserved1 field for the PICF record.

### setDxaReserved1

    public void setDxaReserved1(short field_15_dxaReserved1)

  Set the dxaReserved1 field for the PICF record.

### getDyaReserved1

    public short getDyaReserved1()

  Get the dyaReserved1 field for the PICF record.

### setDyaReserved1

    public void setDyaReserved1(short field_16_dyaReserved1)

  Set the dyaReserved1 field for the PICF record.

### getDxaReserved2

    public short getDxaReserved2()

  Get the dxaReserved2 field for the PICF record.

### setDxaReserved2

    public void setDxaReserved2(short field_17_dxaReserved2)

  Set the dxaReserved2 field for the PICF record.

### getDyaReserved2

    public short getDyaReserved2()

  Get the dyaReserved2 field for the PICF record.

### setDyaReserved2

    public void setDyaReserved2(short field_18_dyaReserved2)

  Set the dyaReserved2 field for the PICF record.

### getFReserved

    public byte getFReserved()

  Get the fReserved field for the PICF record.

### setFReserved

    public void setFReserved(byte field_19_fReserved)

  Set the fReserved field for the PICF record.

### getBpp

    public byte getBpp()

  Get the bpp field for the PICF record.

### setBpp

    public void setBpp(byte field_20_bpp)

  Set the bpp field for the PICF record.

### getBrcTop80

    public byte[] getBrcTop80()

  Get the brcTop80 field for the PICF record.

### setBrcTop80

    public void setBrcTop80(byte[] field_21_brcTop80)

  Set the brcTop80 field for the PICF record.

### getBrcLeft80

    public byte[] getBrcLeft80()

  Get the brcLeft80 field for the PICF record.

### setBrcLeft80

    public void setBrcLeft80(byte[] field_22_brcLeft80)

  Set the brcLeft80 field for the PICF record.

### getBrcBottom80

    public byte[] getBrcBottom80()

  Get the brcBottom80 field for the PICF record.

### setBrcBottom80

    public void setBrcBottom80(byte[] field_23_brcBottom80)

  Set the brcBottom80 field for the PICF record.

### getBrcRight80

    public byte[] getBrcRight80()

  Get the brcRight80 field for the PICF record.

### setBrcRight80

    public void setBrcRight80(byte[] field_24_brcRight80)

  Set the brcRight80 field for the PICF record.

### getDxaReserved3

    public short getDxaReserved3()

  Get the dxaReserved3 field for the PICF record.

### setDxaReserved3

    public void setDxaReserved3(short field_25_dxaReserved3)

  Set the dxaReserved3 field for the PICF record.

### getDyaReserved3

    public short getDyaReserved3()

  Get the dyaReserved3 field for the PICF record.

### setDyaReserved3

    public void setDyaReserved3(short field_26_dyaReserved3)

  Set the dyaReserved3 field for the PICF record.

### getCProps

    public short getCProps()

  This value MUST be 0 and MUST be ignored.

### setCProps

    public void setCProps(short field_27_cProps)

  This value MUST be 0 and MUST be ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD